<?php

namespace Litecms\Faqscat;

use User;

class Faqscat
{
    /**
     * $faqscat object.
     */
    protected $faqscat;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Faqscat\Interfaces\FaqscatRepositoryInterface $faqscat)
    {
        $this->faqscat = $faqscat;
    }

    /**
     * Returns count of faqscat.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.faqscat.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->faqscat->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\FaqscatUserCriteria());
        }

        $faqscat = $this->faqscat->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('faqscat::' . $view, compact('faqscat'))->render();
    }
}
