<?php

namespace Litecms\Faqscat\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FaqscatTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Faqscat\Models\Faqscat $faqscat)
    {
        return [
            'id'                => $faqscat->getRouteKey(),
            'key'               => [
                'public'    => $faqscat->getPublicKey(),
                'route'     => $faqscat->getRouteKey(),
            ], 
            'catname'           => $faqscat->catname,
            'status'            => $faqscat->status,
            'url'               => [
                'public'    => trans_url('faqscat/'.$faqscat->getPublicKey()),
                'user'      => guard_url('faqscat/faqscat/'.$faqscat->getRouteKey()),
            ], 
            'status'            => trans('app.'.$faqscat->status),
            'created_at'        => format_date($faqscat->created_at),
            'updated_at'        => format_date($faqscat->updated_at),
        ];
    }
}